Summary:	Graphical tools for certain user account management tasks
Name:		usermode
Version:	1.111
Release:	7
Epoch:		1
License:	GPLv2+
Group:		System/Configuration/Other
Url:		https://fedorahosted.org/usermode/
Source0: https://fedorahosted.org/releases/u/s/usermode/usermode-%{version}.tar.xz
Source1: config-util
Source2: config-util-user
Patch0:     usermode-1.111-werror.patch
Patch1:     usermode-1.99-environment.patch
# http://qa.mandriva.com/show_bug.cgi?id=32459
Patch3:     usermode-1.99-uz-po.patch
Patch4:     dialog-grab-fix.patch
BuildRequires:	autoconf2.5
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libglade2.0-devel
BuildRequires:	pkgconfig(libuser)
BuildRequires:	pam-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	startup-notification-devel
BuildRequires:	pkgconfig(blkid)
Requires:	util-linux
Requires:	pam >= 0.75-28mdk
Requires:	%{name}-consoleonly = %{epoch}:%{version}-%{release}
Conflicts:	SysVinit < 2.74-14
Conflicts:	msec < 0.15-17mdk

%description
The usermode package contains several graphical tools for users:
userinfo, usermount and userpasswd. Userinfo allows users to change
their finger information. Usermount lets users mount, unmount, and
format filesystems. Userpasswd allows users to change their passwords.

Install the usermode package if you would like to provide users with
graphical tools for certain account management tasks.

%package -n %{name}-consoleonly
Summary:	Non graphical part of usermode
Group:		System/Libraries

%description -n %{name}-consoleonly
This package contains only the usermode stuff which doesn't require
XFree or GTK to run.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--without-selinux
%make

%install
rm -rf %{buildroot}
%makeinstall_std VENDOR=mandriva

# make userformat symlink to usermount
ln -sf usermount %{buildroot}%{_bindir}/userformat
ln -s usermount.1 %{buildroot}%{_mandir}/man1/userformat.1

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
install -p -m 644 %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/security/console.apps/config-util

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
install -p -m 644 %{SOURCE2} \
	%{buildroot}%{_sysconfdir}/pam.d/config-util-user

for i in mandriva-userinfo.desktop mandriva-userpasswd.desktop \
	mandriva-usermount.desktop; do
	echo 'NotShowIn=GNOME;KDE;' >>%{buildroot}%{_datadir}/applications/$i
	desktop-file-install --vendor mandriva --delete-original \
		--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/$i
done

%find_lang %{name}

%post
if [ ! -z "$SECURE_LEVEL" ];then
if [ -x /usr/sbin/msec -a "$SECURE_LEVEL" -gt "3" ]; then  /usr/sbin/msec $SECURE_LEVEL || true ; fi
fi

%triggerpost -- usermode < 1.111-3
#Now we need use upstream config-util. Use for migrate only! 
rm -f %{_sysconfdir}/pam.d/mandriva-console-auth
rm -f %{_sysconfdir}/pam.d/mandriva-simple-auth

%files
%{_bindir}/usermount
%{_mandir}/man1/usermount.1*
%{_bindir}/userformat
%{_mandir}/man1/userformat.1*
%{_bindir}/userinfo
%{_mandir}/man1/userinfo.1*
%{_bindir}/userpasswd
%{_mandir}/man1/userpasswd.1*
%{_bindir}/consolehelper-gtk
%{_mandir}/man8/consolehelper-gtk.8*
%{_bindir}/pam-panel-icon
%{_mandir}/man1/pam-panel-icon.1*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_sysconfdir}/pam.d/config-util-user

%files -n %{name}-consoleonly -f %{name}.lang
%doc COPYING ChangeLog NEWS README
%attr(4711,root,root) /usr/sbin/userhelper
%{_bindir}/consolehelper
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*
%config(noreplace) /etc/security/console.apps/config-util


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:1.111-7
+ Revision: 6951578
- MassBuild#440: Increase release tag


